Subject: [MOBILE-IP] draft-ietf-mobileip-rfc2002-bis-01.txt

From: "Charles E. Perkins" <[email-masked]>
Date: Tue, 4 Jan 2000 11:39:30 -0800

Hello,

I am finalizing a new draft for RFC2002bis.  I have taken
all the messages I can find from the mailing list, and the
discussion from the last IETF meeting as reflected in the
minutes as my recipe for making the revisions.

If anyone has additional comments, please send them in
as soon as possible.

>   == from the minutes for IETF 46.
> > == some of my discussion, also from the minutes.

> FA can now configure a max number of pending registrations, and may
> delete them if > 7 seconds old
>
> >Clarification by Charles:
> >RFC2002 offers 7 seconds as a typical value for this timeout.  Particular
> >implementations can still pick whatever value they like.  Other
> >discussion at the meeting suggested the specification of a minimum
> >value, and changing the suggested maximum from 7 seconds to something
> >more.
>
> Max number of outstanding requests not standardize, but 7 seconds is hardcoded.
> Dave J. & Nordmark: why is this hard coded?
> A: ok, we'll talk about it

There wasn't any more discussion.  The draft currently _suggests_ 7
seconds
as a default value, but it also suggests that any value may be
configured.
I inserted language that any such value SHOULD be chosen to be at least
3 seconds.

I'm happy to use alternative language if it is supplied.

> What to do with this draft?  Mandatory support for reverse tunneling?

I included language that foreign agents SHOULD support reverse
tunneling,
and home agents MUST support decapsulation of reverse tunnels.

> Do we take it to draft standard or to an intermediate proposed
> standard?  Does it become an RFC?

I think the consensus was to recycle at Proposed.

> Q: new FA forwarding text; sometimes two MNs on the same FA sometimes get
>    traffic forwarded directly rather than via HA.  Also MNs can introduce
>    denial of service if they make a mistake in their registration
>    messages - sometimes re-registrations can be redirected at a MN!

Do I need to do anything here?

> A: Reverse tunneling might be important enough to go in.

Done.

========================================================================

From:         Henry Haverinen <[email-masked]>

> Therefore, I'd like to propose one of the following clarifications to
> be added to Section 4.2.3 of RFC2002bis:

> Alternative 1

> For multihomed home agents, the source address in the outer IP header of
> the encapsulated datagram MUST be the address that the mobile node used in
> the home agent field of the registration request. That is, the home agent
> cannot use the the address of some other network interface as the source
> address.

Done.

=========================================================================

Happy New Year,
Charlie P.